// observable 创建被监测的对象，对象中的属性会被转换为响应式数据
// action 函数用来显式的定义 action 方法
import { observable, action } from 'mobx-miniprogram'
import { getStorage } from '../utils/storage'

export const accountStore = observable({
  // 定义响应式数据

  // session 身份令牌
  session: getStorage('session') || '',

  // 用户信息
  username: getStorage('username') || {},

  // 定义 action
  // setSession 用来修改、更新 session
  setSession: action(function (session) {
    // 在调用 setSession 方法时，需要传入 session 数据进行赋值
    this.session = session
  }),

  // 对用户信息进行赋值
  setUsername: action(function (username) {
    this.username = username
  })
})
